Bug 248684 - beagle doesn't built against latest evolution-sharp (0.13)
beagle doesn't built against latest evolution-sharp (0.13)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 04:41 EDT by Oliver Falk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 22:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-07-18 04:41:27 EDT
Description of problem:
Compilation problem of beagle when trying to build against evolution-sharp-0.13.
With evolution-sharp-0.12.4 it works fine.

Last error spotted:
./EvolutionDataServerQueryable/CalContainer.cs(129,61): error CS0117:
`Evolution.CalUtil'
 does not contain a definition for `CalCompFromICal'
./EvolutionDataServerQueryable/CalContainer.cs(135,61): error CS0117:
`Evolution.CalUtil'
 does not contain a definition for `CalCompFromICal'
./EvolutionDataServerQueryable/CalContainer.cs(211,25): error CS0030: Cannot
convert type
 `Evolution.CalComponentAttendee' to `string'
./EvolutionDataServerQueryable/CalContainer.cs(220,55): error CS0117:
`Evolution.CalComponent' does not contain a definition for `Summaries'
./EvolutionDataServerQueryable/CalContainer.cs(226,25): error CS0030: Cannot
convert type `System.CharEnumerator.Current' to `string'
Compilation failed: 5 error(s), 0 warnings
make[3]: *** [EvolutionBackends.dll] Error 1
Comment 1 Oliver Falk 2007-10-04 11:14:57 EDT
Ping!
Comment 2 Matthias Clasen 2007-10-04 22:22:00 EDT
I just tried and it builds fine against evolution-sharp-0.14 

Note You need to log in before you can comment on or make changes to this bug.